> **Note**: This project is maintained at [gitlab.eps-dev.de](https://gitlab.eps-dev.de/Lilly/booklify-ce). GitHub is only used as a mirror and for issue tracking. Merge requests will be ignored.
# About

Booklify.me is an open-source platform for keeping track of everything in your bookshelf. It is designed to be a simple and easy-to-use platform for everyone with a passion for books (and everything else with an ISBN). The combination of a no-nonsense user interface and a simple mobile app makes it easy to keep track of your books and share them with others.

Sign up for a free account on [booklify.me](https://booklify.me) and start adding your books today! Or if you prefer to host your own instance, you can read the required documentation [here](https://docs.booklify.me/).

See my own collection at [https://booklify.me/u/Lillychan](https://booklify.me/u/Lillychan) for an example of what you can do with Booklify.

> **The full documentation can be found at [docs.booklify.me](https://docs.booklify.me/).**

## Features

- **Automatic Book Information**: Just enter the ISBN and Booklify will fetch all the information for you [by crawling them from multiple sources](https://docs.booklify.me/docs/category/crawlers).
- **Book Groups**: Your books are automatically grouped into their respective series.
- **Favorites**: Mark your favorite books and highlight them in a separate group.
- **Simple Sharing**: Share your collection with others by just sending them a link.
- **Mobile App**: A simple mobile app which allows you to quickly add books to your collection by scanning the ISBN.
- **Open Source**: The entire platform is open source and can be self-hosted.


## Issues and Feature Requests

If you have any issues or feature requests, please open an issue on the [GitHub repository](https://github.com/LillySchramm/Booklify.me/issues). I will try to respond as quickly as possible.

Please include as much information as possible when opening an issue. If you have a feature request, please describe the feature in as much detail as possible. If you have an issue, please include the steps to reproduce the issue and the expected outcome. This will help me to resolve the issue as quickly as possible.

## CE? EE? What's the difference?

Booklify is available in two versions: Community Edition (CE) and Enterprise Edition (EE). The CE is the open-source version of Booklify and is free to use. The EE is the version that is hosted on [booklify.me](https://booklify.me). The EE version has some additional specializations for my own infrastructure, and some "enterprise" content like the legal pages and the privacy policy. I decided to split the project into two versions to make it easier for me to maintain the project and to keep the open-source version as clean as possible.

## Support

If you like the project and want to support me, you can do so by [Buying Me A Coffee On Ko-Fi](https://ko-fi.com/lillychan_). I would really appreciate it!
